CVS-DEBUILD(1)

NOM
cvs-debuild - Construire un paquet Debian avec cvs-buildpackage et debuild

SYNOPSIS
cvs-debuild [options_debuild] [options_cvs-buildpackage] [--lintian-opts options_lintian]

DESCRIPTION
cvs-debuild encapsule des appels à cvs-buildpackage pour l'exécuter avec debuild comme programme de création de paquets. Ça ne peut pas se faire simplement en utilisant l'option -C de cvs-buildpackage, qui ne sait pas utiliser toutes les options particulières à debuild.

Ce programme ne fait que sauvegarder les options pour debuild et lintian, pour les passer ensuite à debuild lorsqu'il est appelé par cvs-buildpackage. Toutes les options standards de debuild peuvent être utilisées (voir la liste ci-dessous), mais notez que les commandes pour devenir superutilisateur, indiquées par les options --rootcmd ou -r, seront passées en option de cvs-buildpackage. La première option détectée comme n'étant pas pour debuild indique le début des options pour cvs-buildpackage.

Le choix de la commande pour devenir superutilisateur est un peu subtil : si elle est fournie par une option de la ligne de commande, celle-ci est utilisée. Sinon, si cvs-buildpackage est configuré pour en utiliser une par défaut, celle-ci est utilisée. Enfin, debuild utilisera ses procédures pour déterminer la commande appropriée, comme décrit dans sa documentation.

Consultez les pages de manuel de debuild(1) et de cvs-buildpackage(1) pour plus d'informations sur leur comportement.

OPTIONS
Voici les options de debuild reconnues par cvs-debuild. Toutes les options de cvs-buildpackage et lintian sont simplement passées aux programmes appropriés. Pour des explications sur la signification de ces options, veuillez consulter debuild(1).

--no-conf, --noconf

--rootcmd=commande-pour-devenir-superutilisateur, -rcommande-pour-devenir-superutilisateur

--preserve-env

--preserve-envvar=var, -evar

--set-envvar=var=valeur, -evar=valeur

--lintian, --no-lintian

--ignore-dirname, --check-dirname
    Ces options ne devraient pas être nécessaires, mais sont néanmoins fournies.

VOIR AUSSI
cvs-buildpackage(1), debuild(1), dpkg-buildpackage(1), lintian(1)

AUTEUR
Ce programme a été écrit par Julian Gilbey <jdg@debian.org>.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.